コンテンツにスキップ
AchaduDevelopers
Developers/API/offer_update
オファー

アップデートオファー

送信されたフィールドのみを更新します。

PATCH/offers/{id}offers:write

リクエスト

idstring · pathリソース識別子。必須
urlstring · body製品の元の HTTPS URL。オプション
titlestring · bodyオファーの公開タイトル。オプション
marketplacestring · bodyソースマーケットプレイス。オプション
pricenumber · body現在の価格。オプション
original_pricenumber · body以前の価格。オプション
currencystring · bodyISO 4217 通貨。オプション
imagestring · body画像のHTTPS URL。オプション
storestring · body店名。オプション
categorystring · bodyカテゴリ。オプション
couponstring · bodyクーポンコード。オプション
copystring · bodyオファーの編集テキスト。オプション
statusstring · body厳選されたステータス。オプション

curl
curl -X PATCH 'https://achadu.com/api/v1/offers/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "url": "https://example.com/product",
  "title": "Air fryer 5L",
  "marketplace": "string"
}'

答え

200操作が完了しました
4xxコード、メッセージ、request_id のエラー